package com.bcxin.risk.report.enums;

/**
 * （废弃）
 * @author admin
 *
 */
public enum ReportPurchaseStatus {
	
	COMFIRM_ORDER {public String getValue(){return "0";} public String getName(){return "确认订单";}},
	
	PAY_ORDER {public String getValue(){return "1";} public String getName(){return "支付订单";}},
	
	PAY_SUCCESS {public String getValue(){return "2";} public String getName(){return "购买完成";}};

    public abstract String getValue();
    
    public abstract String getName();


    public static ReportPurchaseStatus convert_value(String value){
    	if ( "0".equals(value) ) {
    		return ReportPurchaseStatus.COMFIRM_ORDER;
    	} else if ("1".equals(value)) {
    		return ReportPurchaseStatus.PAY_ORDER;
    	}  else if ("2".equals(value)) {
    		return ReportPurchaseStatus.PAY_SUCCESS;
    	} 
    	return null;
    }

}
